Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.view.impl
Class RssResponsesView

    java.lang.Object
      net.sourceforge.pebble.web.view.View
          net.sourceforge.pebble.web.view.JspView
              net.sourceforge.pebble.web.view.XmlView
                  net.sourceforge.pebble.web.view.impl.AbstractFeedView
                      net.sourceforge.pebble.web.view.impl.RssResponsesView

    public class RssResponsesView

extends AbstractFeedView

Represents an RSS newsfeed for blog entry responses.

Author:
  Simon Brown

Constructor Summary
`RssResponsesView()`

Method Summary
`java.lang.String` | `getContentType()` Gets the content type of this view.
`java.lang.String` | `getUri()` Gets the URI that implements this view.

Methods inherited from class net.sourceforge.pebble.web.view.impl.AbstractFeedView
`prepare`

Methods inherited from class net.sourceforge.pebble.web.view.XmlView
`dispatch`

Methods inherited from class net.sourceforge.pebble.web.view.View
`getModel, getServletContext, setModel, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RssResponsesView

    public RssResponsesView()

Method Detail

### getContentType

    public java.lang.String getContentType()

  Gets the content type of this view.

  Overrides:
    `getContentType` in class `AbstractFeedView`
  Returns:
    the content type as a String

### getUri

    public java.lang.String getUri()

  Gets the URI that implements this view.

  Specified by:
    `getUri` in class `JspView`
  Returns:
    the URI as a String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.